Subject: Re: [Roll] Scalability of P2P-RPL

From: Emmanuel Baccelli <[email-masked]>
Date: Wed, 28 Mar 2012 18:28:27 +0200

Hi Ulrich,

actually, as I tried to explain during the meeting, a P2P-RPL route
discovery will take place within a controlled scope around its origin. This
scope is expressed as a constraint in the metric container carried with the
discovery message, as specified in the document.

If the overall network is actually larger than this scope, nodes outside of
this scope are unaffected in terms of extra overhead and control traffic.
In this sense at least, the P2P-RPL extension can work in large networks.

The typical scenario that is targeted is connecting a switch with light
bulb, expected to be rather nearby, for instance within a 4-5 hops radius
(look at the scenario described in section 4 for example).

We'd be glad to learn about other scenarios that are interesting to target,
and to work on another spec that will target those too.

Emmanuel

On Wed, Mar 28, 2012 at 5:52 PM, Ulrich Herberg <[email-masked]> wrote:

> Hi,
>
> as I mentioned today on the microphone, I would be interested to see
> results of the different deployments in terms of performance, overhead,
> delay, required state etc.
>
> Section 2 ("The Use Cases") says that:
>
>    Another use case, common in a commercial building environment,
>    involves a large LLN deployment where P2P communication along a
>    particular DAG among hundreds (or thousands) of routers creates
>    severe traffic congestion near that DAG's root, and thus routes
>    across this DAG are desirable.
>
> I don't see anywhere in this section that the draft is only limited to 4-5
> hops, as mentioned today. If the protocol can run in larger networks but
> only for routers in maximum hop distance of 4-5, that should be spelled out
> (together with a warning that TTL of the control messages has to be set to
> 4-5 to avoid network wide flooding).
>
> Regards
> Ulrich
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>
>